image: nixos/23.05
sources:
  - https://git.sr.ht/~fabianmv/triviOS
environment:
  NIX_CONFIG: "experimental-features = nix-command flakes"
shell: true
tasks:
  - check-format: |
      cd triviOS
      nix fmt
      git diff-index --quiet HEAD --
      diff=$?

      if [ "$diff" -eq 1 ]; then
          echo "Invalid format."
          exit 1
      else
          echo "Done."
      fi
